# Get authorization

Retrieves details of an authorization associated with a specific Moov account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/issued-cards.read` scope.

GET

/issuing/{accountID}/authorizations/{authorizationID}

Ask

```shell
curl -X GET "https://api.moov.io/issuing/{accountID}/authorizations/{authorizationID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.issuingTransactions.getAuthorization({
    accountID: "0ccac2cc-6692-44a9-b0d1-35a1892c2db2",
    authorizationID: "d9ee8dde-b1eb-492f-bea1-d8e09bccbc52",
  });

console.log(result);
}

run();
```

Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->issuingTransactions->getAuthorization(
    accountID: '0ccac2cc-6692-44a9-b0d1-35a1892c2db2',
    authorizationID: 'd9ee8dde-b1eb-492f-bea1-d8e09bccbc52'
);

if ($response->issuedCardAuthorization !== null) {
    // handle response
}
```

Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetIssuedCardAuthorizationResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetIssuedCardAuthorizationResponse res = sdk.issuingTransactions().getAuthorization()
                .accountID("0ccac2cc-6692-44a9-b0d1-35a1892c2db2")
                .authorizationID("d9ee8dde-b1eb-492f-bea1-d8e09bccbc52")
                .call();

if (res.issuedCardAuthorization().isPresent()) {
            System.out.println(res.issuedCardAuthorization().get());
        }
    }
}
```

Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.issuing_transactions.get_authorization(account_id="0ccac2cc-6692-44a9-b0d1-35a1892c2db2", authorization_id="d9ee8dde-b1eb-492f-bea1-d8e09bccbc52")

# Handle response
    print(res)
```

Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.issuing_transactions.get_authorization(account_id: '0ccac2cc-6692-44a9-b0d1-35a1892c2db2', authorization_id: 'd9ee8dde-b1eb-492f-bea1-d8e09bccbc52')

unless res.issued_card_authorization.nil?
  # handle response
end
```

Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.IssuingTransactions.GetAuthorizationAsync(
    accountID: "0ccac2cc-6692-44a9-b0d1-35a1892c2db2",
    authorizationID: "d9ee8dde-b1eb-492f-bea1-d8e09bccbc52"
);

// handle response
```

The request completed successfully.

Ask

Example

```json
{
  "authorizationID": "string",
  "issuedCardID": "string",
  "fundingWalletID": "string",
  "network": "discover",
  "authorizedAmount": "-14.89",
  "status": "pending",
  "merchantData": {
    "networkID": "string",
    "name": "Whole Body Fitness",
    "city": "San Francisco",
    "country": "US",
    "postalCode": "94107",
    "state": "CA",
    "mcc": "7298"
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "cardTransactions": [
    "string"
  ]
}
```

### Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

### Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

### Response headers

A unique identifier used to trace requests.

The requested resource was not found.

### Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

### Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

### Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

### Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

`v2026.07.00`

The Moov business account for which cards have been issued.

A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99.

Show child attributes

Two-letter country code.

The Merchant Category Code.

External identifier used to identify the merchant with the card brand.

The merchant's location.

Name of the merchant.

The merchant's five-digit postal code.

The merchant's two-letter state abbreviation.

The name of the network a card transaction is routed through.

Possible values:

`discover`,

`shazam`,

`visa`

Status of a card issuing authorization.

Possible values:

`pending`,

`declined`,

`canceled`,

`cleared`,

`expired`

List of card transaction IDs associated with this authorization.
